{% extends 'base.html' %}
{% block title %}Liste Des Utilisateurs{% endblock %}
{% block content %}
    <div class="btns">
        <a href="{% url 'add_user' %} " class="btn btn-primary btn-lg mb-5">Ajouter un nouveau</a><br>
    </div>
    <h2>Listes des Utilisateurs</h2>
    <div class="container container-cards">
        {% for user in data %}
            <button type="button" class="btn btn-outline-dark" data-bs-toggle="modal" data-bs-target="#user-{{user.id}}"class="card text-bg-dark" style="width: 18rem;">
                <div class="card-body">
                    <h4 class="card-title">{{ user.name }}</h4>
                    <h5 class="card-title task-fait">{{ user.nb_tasks }} tâche{% if user.nb_tasks > 1 %}s{%endif%}</h5>
                </div>
            </button>
            <div class="modal fade" id="user-{{user.id}}" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="user-{{user.id}}-Label" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="user-{{user.id}}-Label">Utilisateur numéro {{ user.id }}</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <h4>Nom : {{ user.name }}</h4>
                            <h4>Email : {{ user.email }}</h4>
                            <h4>A  {{ user.nb_tasks }} tâche{% if user.nb_tasks > 1 %}s{%endif%} a faire</h4>
                        </div>
                        <div class="modal-footer">
                            {% if user.nb_tasks > 0 %}
                                <a href="{% url 'tasks_for_user' user.id %}" class="btn btn-outline-warning">Voir ces tâches</a>
                            {% else %}
                                <a href="{% url 'add_task' %}" class="btn btn-outline-warning">Créer des tâches</a>
                            {% endif %}
                            <a href="{% url 'edit_user' user.id %}" class="btn btn-success">Modifier</a>
                            <a href="{% url 'delete_user' user.id %}" class="btn btn-danger">Supprimer</a>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}
